Skip to content
Back to top
View this page

# ManagedBotCreated

class telegram.ManagedBotCreated(bot, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object contains information about the bot that was created to be managed by the current bot.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `bot` is equal.

  Available In

  `telegram.Message.managed_bot_created`

  Added in version 22.8.

  Parameters:

    bot (`telegram.User`) – Information about the bot. The bot’s token can be fetched using the method `get_managed_bot_token()`.

  bot

    Information about the bot. The bot’s token can be fetched using the method `get_managed_bot_token()`.

    Type:

      `telegram.User`

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.